package com.gic.haoban.manage.web.utils.data;

import com.alibaba.fastjson.JSONObject;
import lombok.extern.slf4j.Slf4j;

/**
 * @Author guojx
 * @Date 2024/1/11 15:33
 */
@Slf4j
public class ThreadHandlerRequest {

    private JSONObject jsonObject;

    private String apolloKey;

    public ThreadHandlerRequest(JSONObject jsonObject, String apolloKey) {
        this.jsonObject = JSONObject.parseObject(jsonObject.toJSONString());
        this.apolloKey = apolloKey;
    }

    public JSONObject getJsonObject() {
        return jsonObject;
    }

    public ThreadHandlerRequest setJsonObject(JSONObject jsonObject) {
        this.jsonObject = jsonObject;
        return this;
    }

    public String getApolloKey() {
        return apolloKey;
    }

    public ThreadHandlerRequest setApolloKey(String apolloKey) {
        this.apolloKey = apolloKey;
        return this;
    }
}
